`timescale 1ns / 1ps

module design1_test();

parameter FP = 10;

reg clk, reset;
reg [7:0] a,b,c;
wire [16:0] d;

always #(FP/2) clk = ~clk;

design1 DUT(clk, reset, a,b,c, d);

initial begin
    clk = 0;
    reset = 1;
    a=0; b=0; c=0;
    #(10*FP);
    
    reset = 0;
    
    #(2*FP);
    
    a=10; b=2; c=5;
    #10;
    a=20; b=4; c=1;
    #10;
    
end

endmodule
